1. Tasks
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Tasks

Update a task

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
PUT
/tasks/{_id}

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200OK
*/*
Successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request PUT 'https://api-35.elogii.com/tasks/?where' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "date": 20251029
}'
Response Response Example
{
    "uid": "string",
    "externalId": "string",
    "reference": "ORDER-132",
    "type": 0,
    "date": 20240430,
    "dateRange": {
        "startDate": "string",
        "endDate": "string"
    },
    "allowedWeekDays": [
        true
    ],
    "frequency": 1,
    "frequencyDateRange": {
        "startDate": "string",
        "endDate": "string"
    },
    "timeWindows": [
        {
            "start": 0,
            "end": 0
        }
    ],
    "pickup": {
        "location": {
            "type": 0,
            "uid": "string",
            "name": "string",
            "address": "string",
            "addressLine2": "string",
            "postCode": "string",
            "city": "string",
            "country": "string",
            "what3words": "string",
            "contactName": "string",
            "contactPhone": "string",
            "contactEmail": "string",
            "setupDuration": 10,
            "serviceDuration": 10,
            "customerId": "string",
            "customerUID": "string",
            "coordinates": [
                -0.095146,
                51.5156469
            ],
            "meta": {}
        },
        "timeWindows": [
            {
                "start": 0,
                "end": 0
            }
        ],
        "setupDuration": 10,
        "serviceDuration": 10,
        "configuration": {
            "actions": {
                "identityCode": 39493,
                "code": "11-22323-2333",
                "actionList": [
                    {
                        "type": 0,
                        "typeText": "string",
                        "required": false,
                        "meta": {}
                    }
                ],
                "failedActionList": [
                    {
                        "type": 0,
                        "typeText": "string",
                        "required": false,
                        "meta": {}
                    }
                ]
            },
            "failedActions": {
                "identityCode": 39493,
                "code": "11-22323-2333",
                "actionList": [
                    {
                        "type": 0,
                        "typeText": "string",
                        "required": false,
                        "meta": {}
                    }
                ],
                "failedActionList": [
                    {
                        "type": 0,
                        "typeText": "string",
                        "required": false,
                        "meta": {}
                    }
                ]
            }
        },
        "actions": [
            {
                "uid": "string",
                "type": 0,
                "typeText": "string",
                "required": false,
                "state": 0,
                "meta": {},
                "issue": false
            }
        ],
        "actionsState": {},
        "instructions": "Pick up at loading bay",
        "rating": {
            "rate": 0,
            "comment": "string",
            "timestamp": "2019-08-24"
        },
        "estimates": {
            "enRoute": 0,
            "enRouteDate": "string",
            "enRouteISO": "2019-08-24",
            "travel": 0,
            "waiting": 0,
            "arrived": 0,
            "date": "string",
            "arrivedISO": "2019-08-24",
            "setupDuration": 0,
            "serviceDuration": 0,
            "completed": 0,
            "completedDate": "string",
            "completedISO": "2019-08-24",
            "timeWindowEndTimestamp": 0,
            "lateness": 0,
            "distance": 0,
            "load": {},
            "currentLoad": {},
            "cost": {},
            "liveETAUpdatedAt": "2019-08-24"
        },
        "actuals": {
            "enRoute": 0,
            "enRouteDate": "string",
            "enRouteISO": "2019-08-24",
            "travel": 0,
            "waiting": 0,
            "arrived": 0,
            "date": "string",
            "arrivedISO": "2019-08-24",
            "setupDuration": 0,
            "serviceDuration": 0,
            "completed": 0,
            "completedDate": "string",
            "completedISO": "2019-08-24",
            "timeWindowEndTimestamp": 0,
            "lateness": 0,
            "distance": 0,
            "load": {},
            "currentLoad": {},
            "cost": {},
            "liveETAUpdatedAt": "2019-08-24",
            "created": 0,
            "finalized": 0,
            "finalizedDate": "string",
            "failed": 0
        }
    },
    "location": {
        "type": 0,
        "uid": "string",
        "name": "string",
        "address": "string",
        "addressLine2": "string",
        "postCode": "string",
        "city": "string",
        "country": "string",
        "what3words": "string",
        "contactName": "string",
        "contactPhone": "string",
        "contactEmail": "string",
        "setupDuration": 10,
        "serviceDuration": 10,
        "customerId": "string",
        "customerUID": "string",
        "coordinates": [
            -0.095146,
            51.5156469
        ],
        "meta": {}
    },
    "size": {
        "weight": 100,
        "volume": 150
    },
    "flags": {
        "isReturning": true,
        "isBillable": true,
        "isPartiallyCompleted": true,
        "rescheduledByCustomerCount": 0,
        "addressEditedByCustomerCount": 0,
        "failedAttempts": 0
    },
    "items": [
        {
            "uid": "string",
            "id": "1",
            "description": "string",
            "code": "string",
            "instructions": "string",
            "configuration": {
                "actions": {
                    "pickup": [
                        {
                            "type": 0,
                            "typeText": "string",
                            "required": false,
                            "meta": {}
                        }
                    ],
                    "delivery": [
                        {
                            "type": 0,
                            "typeText": "string",
                            "required": false,
                            "meta": {}
                        }
                    ],
                    "warehouse": [
                        {
                            "type": 0,
                            "typeText": "string",
                            "required": false,
                            "meta": {}
                        }
                    ],
                    "applyItemActionsToTaskWhenNoItems": true
                }
            },
            "state": 0,
            "customData": {
                "externalId": 12345567890
            },
            "warehouseOperations": {
                "state": "string",
                "workflows": {
                    "string": {
                        "assignee": "string",
                        "assigneeName": "string",
                        "assignedBay": "string",
                        "actions": [
                            {
                                "uid": "string",
                                "type": "string",
                                "state": "string",
                                "parent": "string",
                                "code": "string",
                                "label": "string",
                                "taskId": "string",
                                "itemUID": "string",
                                "workflow": "string",
                                "workflowName": "string"
                            }
                        ]
                    }
                },
                "history": [
                    {
                        "data": {},
                        "actor": {
                            "userId": "string",
                            "userLevel": "string",
                            "actorId": "string",
                            "deviceId": "string",
                            "geolocation": {},
                            "action": "string",
                            "email": "string",
                            "event": "string"
                        },
                        "timestamp": 1714408041836,
                        "receivedAt": "2019-08-24"
                    }
                ]
            },
            "meta": {}
        }
    ],
    "customer": {
        "_id": "string",
        "uid": "string",
        "reference": "string",
        "externalId": "string",
        "info": {}
    },
    "inherited": {},
    "skills": [
        "skill1",
        "skill2"
    ],
    "capabilities": [
        "capability1",
        "capability2"
    ],
    "tags": [
        "tag1",
        "tag2"
    ],
    "teams": [
        "string"
    ],
    "zones": [
        "string"
    ],
    "assignment": {
        "state": 0,
        "assignee": {
            "model": "Driver",
            "_id": "string",
            "info": {}
        },
        "route": "string",
        "routeUID": "string",
        "unviableReasons": [
            "string"
        ]
    },
    "state": -30,
    "stateText": "En route",
    "stateTimestamp": 0,
    "stateTimestamps": {},
    "setupDuration": 10,
    "serviceDuration": 10,
    "orderValue": 300,
    "productCode": "111-2222000000-333",
    "priority": 0,
    "configuration": {
        "actions": {
            "identityCode": 39493,
            "code": "11-22323-2333",
            "actionList": [
                {
                    "type": 0,
                    "typeText": "string",
                    "required": false,
                    "meta": {}
                }
            ],
            "failedActionList": [
                {
                    "type": 0,
                    "typeText": "string",
                    "required": false,
                    "meta": {}
                }
            ]
        },
        "failedActions": {
            "identityCode": 39493,
            "code": "11-22323-2333",
            "actionList": [
                {
                    "type": 0,
                    "typeText": "string",
                    "required": false,
                    "meta": {}
                }
            ],
            "failedActionList": [
                {
                    "type": 0,
                    "typeText": "string",
                    "required": false,
                    "meta": {}
                }
            ]
        },
        "issues": {
            "contactSupport": {
                "enabled": true,
                "usePhone": true,
                "useMessage": true
            },
            "contactDirect": {
                "enabled": true,
                "callPickupContact": true,
                "callDeliveryContact": true
            },
            "safePlace": {
                "enabled": true,
                "instructions": "string"
            },
            "failTask": {
                "enabled": true,
                "pickup": true,
                "delivery": true,
                "failedReasons": {
                    "pickup": [
                        "string"
                    ],
                    "delivery": [
                        "string"
                    ]
                },
                "customReason": {
                    "pickup": true,
                    "delivery": true
                }
            },
            "reattempts": {
                "enabled": true,
                "endOfRoute": true,
                "timeWindows": true
            },
            "return": {
                "enabled": true,
                "autoCreateReturnTask": {
                    "taskFail": true,
                    "reattemptFail": true,
                    "dateChange": true
                },
                "returnLocation": "pickup",
                "locationInfo": {},
                "actions": "string",
                "customActions": {
                    "pickup": [
                        {
                            "type": 0,
                            "typeText": "string",
                            "required": false,
                            "meta": {}
                        }
                    ],
                    "delivery": [
                        {
                            "type": 0,
                            "typeText": "string",
                            "required": false,
                            "meta": {}
                        }
                    ]
                }
            }
        },
        "notifications": {
            "delivery": {},
            "pickup": {},
            "depot": {}
        },
        "skipWebhooks": true,
        "support": {
            "companyName": "string",
            "customerPhone": "string",
            "customerEmail": "string",
            "alphanumericSenderID": "string"
        }
    },
    "actions": [
        {
            "uid": "string",
            "type": 0,
            "typeText": "string",
            "required": false,
            "state": 0,
            "meta": {},
            "issue": false
        }
    ],
    "actionsState": {},
    "instructions": "Please call upon arrival",
    "notes": [
        "string"
    ],
    "locked": true,
    "rating": {
        "rate": 0,
        "comment": "string",
        "timestamp": "2019-08-24"
    },
    "customData": {
        "externalId": 12345567890
    },
    "estimates": {
        "enRoute": 0,
        "enRouteDate": "string",
        "enRouteISO": "2019-08-24",
        "travel": 0,
        "waiting": 0,
        "arrived": 0,
        "date": "string",
        "arrivedISO": "2019-08-24",
        "setupDuration": 0,
        "serviceDuration": 0,
        "completed": 0,
        "completedDate": "string",
        "completedISO": "2019-08-24",
        "timeWindowEndTimestamp": 0,
        "lateness": 0,
        "distance": 0,
        "load": {},
        "currentLoad": {},
        "cost": {},
        "liveETAUpdatedAt": "2019-08-24",
        "totalCost": {}
    },
    "actuals": {
        "enRoute": 0,
        "enRouteDate": "string",
        "enRouteISO": "2019-08-24",
        "travel": 0,
        "waiting": 0,
        "arrived": 0,
        "date": "string",
        "arrivedISO": "2019-08-24",
        "setupDuration": 0,
        "serviceDuration": 0,
        "completed": 0,
        "completedDate": "string",
        "completedISO": "2019-08-24",
        "timeWindowEndTimestamp": 0,
        "lateness": 0,
        "distance": 0,
        "load": {},
        "currentLoad": {},
        "cost": {},
        "liveETAUpdatedAt": "2019-08-24",
        "totalCost": {},
        "created": 0,
        "createdISO": "2019-08-24",
        "createdDate": "string",
        "finalized": 0,
        "finalizedISO": "2019-08-24",
        "finalizedDate": "string",
        "failed": 0,
        "cancelled": 0
    },
    "history": [
        {
            "data": {},
            "actor": {
                "userId": "string",
                "userLevel": "string",
                "actorId": "string",
                "deviceId": "string",
                "geolocation": {},
                "action": "string",
                "email": "string",
                "event": "string"
            },
            "timestamp": 1714408042051,
            "receivedAt": "2019-08-24"
        }
    ],
    "failedReason": "string",
    "internalComment": "string",
    "display": {
        "backgroundColor": "string",
        "borderColor": "string",
        "routeTimelineColor": "string"
    },
    "earlinessTolerance": 0,
    "latenessTolerance": 0,
    "warehouseOperations": {
        "state": "string",
        "workflows": {
            "string": {
                "assignee": "string",
                "assigneeName": "string",
                "assignedBay": "string",
                "actions": [
                    {
                        "uid": "string",
                        "type": "string",
                        "state": "string",
                        "parent": "string",
                        "code": "string",
                        "label": "string",
                        "taskId": "string",
                        "itemUID": "string",
                        "workflow": "string",
                        "workflowName": "string"
                    }
                ]
            }
        },
        "history": [
            {
                "data": {},
                "actor": {
                    "userId": "string",
                    "userLevel": "string",
                    "actorId": "string",
                    "deviceId": "string",
                    "geolocation": {},
                    "action": "string",
                    "email": "string",
                    "event": "string"
                },
                "timestamp": 1714408041836,
                "receivedAt": "2019-08-24"
            }
        ]
    }
}
Modified at 2025-11-12 16:33:15
Previous
Delete tasks
Next
Get Proof of Delivery
Built with